Subject: Re: [PATCH 12/26] netfilter: switch nf_setsockopt to sockptr_t

From: Christoph Hellwig <[email-masked]>
Date: Mon, 27 Jul 2020 18:23:57 +0200

On Mon, Jul 27, 2020 at 06:16:32PM +0200, Jason A. Donenfeld wrote:
> Maybe sockptr_advance should have some safety checks and sometimes
> return -EFAULT? Or you should always use the implementation where
> being a kernel address is an explicit bit of sockptr_t, rather than
> being implicit?

I already have a patch to use access_ok to check the whole range in
init_user_sockptr.